Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class QueryType.QueryBuilder

    java.lang.Object
      com.sun.mdm.index.parser.QueryType.QueryBuilder

Enclosing class:
  QueryType

public class QueryType.QueryBuilder
extends java.lang.Object

Field Summary
`(package private) boolean` | `bPhoneticize`
`(package private) boolean` | `bStandardize`
`(package private) boolean` | `bUseWildcard`
`(package private) QueryType.Config` | `config`
`(package private) java.lang.String` | `optionKey`
`(package private) java.lang.String` | `optionValue`
`(package private) java.lang.String` | `parserClass`
`(package private) java.lang.String` | `queryBuilderClass`
`(package private) java.lang.String` | `queryBuilderName`

Constructor Summary
`QueryType.QueryBuilder()`

Method Summary
`void` | `addBlockDefinition(QueryType.BlockDefinition blockDefinition)`
`void` | `deleteBlockDefinition(java.lang.String blockDefinitionName)`
`QueryType.BlockDefinition` | `getBlockDefinition(java.lang.String blockDefinitionName)`
`java.lang.String` | `getOptionKey()`
`java.lang.String` | `getOptionValue()`
`java.lang.String` | `getParserClass()`
`boolean` | `getPhoneticize()`
`java.lang.String` | `getQueryBuilderClass()`
`java.lang.String` | `getQueryBuilderName()`
`java.util.ArrayList` | `getSelectedBlockDefinitionNames()`
`java.util.ArrayList` | `getSelectedBlockDefinitions()`
`boolean` | `getStandardize()`
`boolean` | `getUseWildcard()`
`boolean` | `isBlockerSearch()`
`void` | `QueryBuilder(java.lang.String queryBuilderName)`
`void` | `QueryBuilder(java.lang.String queryBuilderName, java.lang.String queryBuilderClass, java.lang.String parserClass, boolean bStandardize, boolean bPhoneticize, java.lang.String optionKey, java.lang.String optionValue, boolean bUseWildcard, java.util.ArrayList alBlockDefinitionNames)`
`void` | `setOptionKey(java.lang.String key)`
`void` | `setOptionValue(java.lang.String value)`
`void` | `setParserClass(java.lang.String parserClass)`
`void` | `setPhoneticize(boolean flag)`
`void` | `setQueryBuilderClass(java.lang.String builderClass)`
`void` | `setQueryBuilderName(java.lang.String name)`
`void` | `setSelectedBlockDefinitionNames(java.util.ArrayList al)`
`void` | `setSelectedBlockDefinitions(java.util.ArrayList al)`
`void` | `setStandardize(boolean flag)`
`void` | `setUseWildcard(boolean flag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bPhoneticize

    boolean bPhoneticize

### bStandardize

    boolean bStandardize

### bUseWildcard

    boolean bUseWildcard

### config

    QueryType.Config config

### optionKey

    java.lang.String optionKey

### optionValue

    java.lang.String optionValue

### parserClass

    java.lang.String parserClass

### queryBuilderClass

    java.lang.String queryBuilderClass

### queryBuilderName

    java.lang.String queryBuilderName

Constructor Detail

### QueryType.QueryBuilder

    public QueryType.QueryBuilder()

Method Detail

### addBlockDefinition

    public void addBlockDefinition(QueryType.BlockDefinition blockDefinition)

### deleteBlockDefinition

    public void deleteBlockDefinition(java.lang.String blockDefinitionName)

### getBlockDefinition

    public QueryType.BlockDefinition getBlockDefinition(java.lang.String blockDefinitionName)

### getOptionKey

    public java.lang.String getOptionKey()

### getOptionValue

    public java.lang.String getOptionValue()

### getParserClass

    public java.lang.String getParserClass()

### getPhoneticize

    public boolean getPhoneticize()

### getQueryBuilderClass

    public java.lang.String getQueryBuilderClass()

### getQueryBuilderName

    public java.lang.String getQueryBuilderName()

### getSelectedBlockDefinitionNames

    public java.util.ArrayList getSelectedBlockDefinitionNames()

### getSelectedBlockDefinitions

    public java.util.ArrayList getSelectedBlockDefinitions()

### getStandardize

    public boolean getStandardize()

### getUseWildcard

    public boolean getUseWildcard()

### isBlockerSearch

    public boolean isBlockerSearch()

### QueryBuilder

    public void QueryBuilder(java.lang.String queryBuilderName)

### QueryBuilder

    public void QueryBuilder(java.lang.String queryBuilderName,
                             java.lang.String queryBuilderClass,
                             java.lang.String parserClass,
                             boolean bStandardize,
                             boolean bPhoneticize,
                             java.lang.String optionKey,
                             java.lang.String optionValue,
                             boolean bUseWildcard,
                             java.util.ArrayList alBlockDefinitionNames)

### setOptionKey

    public void setOptionKey(java.lang.String key)

### setOptionValue

    public void setOptionValue(java.lang.String value)

### setParserClass

    public void setParserClass(java.lang.String parserClass)

### setPhoneticize

    public void setPhoneticize(boolean flag)

### setQueryBuilderClass

    public void setQueryBuilderClass(java.lang.String builderClass)

### setQueryBuilderName

    public void setQueryBuilderName(java.lang.String name)

### setSelectedBlockDefinitionNames

    public void setSelectedBlockDefinitionNames(java.util.ArrayList al)

### setSelectedBlockDefinitions

    public void setSelectedBlockDefinitions(java.util.ArrayList al)

### setStandardize

    public void setStandardize(boolean flag)

### setUseWildcard

    public void setUseWildcard(boolean flag)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.